MCP Tools Reference: apikeys.googleapis.com

Tool: apikeys_get_key

Gets the metadata for a specific API key. Does not return the key string itself.

The following code sample shows how to use curl to call the apikeys_get_key MCP tool.

Curl Request
curl --location 'https://apikeys.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "apikeys_get_key",
    "arguments": {
      // Provide these details according to the MCP tool specification.
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

Request message for GetKey method.

GetKeyRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. The resource name of the API key to get.

Output Schema

The representation of a key managed by the API Keys API.

Key

JSON representation
{
  "name": string,
  "uid": string,
  "displayName": string,
  "keyString": string,
  "createTime": string,
  "updateTime": string,
  "deleteTime": string,
  "annotations": {
    string: string,
    ...
  },
  "restrictions": {
    object (Restrictions)
  },
  "etag": string,
  "serviceAccountEmail": string
}
Fields
name

string

Identifier. The resource name of the key. The name has the form: projects/<PROJECT_NUMBER>/locations/global/keys/<KEY_ID>. For example: projects/123456867718/locations/global/keys/b7ff1f9f-8275-410a-94dd-3855ee9b5dd2

NOTE: Key is a global resource; hence the only supported value for location is global.

uid

string

Output only. Unique id in UUID4 format.

displayName

string

Human-readable display name of this key that you can modify. The maximum length is 63 characters.

keyString

string

Output only. An encrypted and signed value held by this key. This field can be accessed only through the GetKeyString method.

createTime

string (Timestamp format)

Output only. A timestamp identifying the time this key was originally created.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

updateTime

string (Timestamp format)

Output only. A timestamp identifying the time this key was last updated.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

deleteTime

string (Timestamp format)

Output only. A timestamp when this key was deleted. If the resource is not deleted, this must be empty.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

annotations

map (key: string, value: string)

Annotations is an unstructured key-value map stored with a policy that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects.

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

restrictions

object (Restrictions)

Key restrictions.

etag

string

A checksum computed by the server based on the current value of the Key resource. This may be sent on update and delete requests to ensure the client has an up-to-date value before proceeding. See https://google.aip.dev/154.

serviceAccountEmail

string

Optional. The email address of the service account the key is bound to.

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

AnnotationsEntry

JSON representation
{
  "key": string,
  "value": string
}
Fields
key

string

value

string

Restrictions

JSON representation
{
  "apiTargets": [
    {
      object (ApiTarget)
    }
  ],

  // Union field client_restrictions can be only one of the following:
  "browserKeyRestrictions": {
    object (BrowserKeyRestrictions)
  },
  "serverKeyRestrictions": {
    object (ServerKeyRestrictions)
  },
  "androidKeyRestrictions": {
    object (AndroidKeyRestrictions)
  },
  "iosKeyRestrictions": {
    object (IosKeyRestrictions)
  }
  // End of list of possible types for union field client_restrictions.
}
Fields
apiTargets[]

object (ApiTarget)

A restriction for a specific service and optionally one or more specific methods. Requests are allowed if they match any of these restrictions. If no restrictions are specified, all targets are allowed.

Union field client_restrictions. The websites, IP addresses, Android apps, or iOS apps (the clients) that are allowed to use the key. You can specify only one type of client restrictions per key. client_restrictions can be only one of the following:
browserKeyRestrictions

object (BrowserKeyRestrictions)

The HTTP referrers (websites) that are allowed to use the key.

serverKeyRestrictions

object (ServerKeyRestrictions)

The IP addresses of callers that are allowed to use the key.

androidKeyRestrictions

object (AndroidKeyRestrictions)

The Android apps that are allowed to use the key.

iosKeyRestrictions

object (IosKeyRestrictions)

The iOS apps that are allowed to use the key.

BrowserKeyRestrictions

JSON representation
{
  "allowedReferrers": [
    string
  ]
}
Fields
allowedReferrers[]

string

A list of regular expressions for the referrer URLs that are allowed to make API calls with this key.

ServerKeyRestrictions

JSON representation
{
  "allowedIps": [
    string
  ]
}
Fields
allowedIps[]

string

A list of the caller IP addresses that are allowed to make API calls with this key.

AndroidKeyRestrictions

JSON representation
{
  "allowedApplications": [
    {
      object (AndroidApplication)
    }
  ]
}
Fields
allowedApplications[]

object (AndroidApplication)

A list of Android applications that are allowed to make API calls with this key.

AndroidApplication

JSON representation
{
  "sha1Fingerprint": string,
  "packageName": string
}
Fields
sha1Fingerprint

string

The SHA1 fingerprint of the application. For example, both sha1 formats are acceptable : DA:39:A3:EE:5E:6B:4B:0D:32:55:BF:EF:95:60:18:90:AF:D8:07:09 or DA39A3EE5E6B4B0D3255BFEF95601890AFD80709. Output format is the latter.

packageName

string

The package name of the application.

IosKeyRestrictions

JSON representation
{
  "allowedBundleIds": [
    string
  ]
}
Fields
allowedBundleIds[]

string

A list of bundle IDs that are allowed when making API calls with this key.

ApiTarget

JSON representation
{
  "service": string,
  "methods": [
    string
  ]
}
Fields
service

string

The service for this restriction. It should be the canonical service name, for example: translate.googleapis.com. You can use gcloud services list to get a list of services that are enabled in the project.

methods[]

string

Optional. List of one or more methods that can be called. If empty, all methods for the service are allowed. A wildcard (*) can be used as the last symbol. Valid examples: google.cloud.translate.v2.TranslateService.GetSupportedLanguage TranslateText Get* translate.googleapis.com.Get*

Tool Annotations

Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.

Along with the title string, the following boolean hints are defined as follows:

  • readOnlyHint: If true, the tool doesn't modify its environment. Default: false.
  • destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
  • idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
  • openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌